.p-ai-modal .c-modal__content {
  padding-block: 2.4rem 2.4rem;
  background: url("../../img/urawaru-modal_bg_sp.jpg") no-repeat top center/cover;
}

.p-ai-modal__head {
  position: relative;
  z-index: 2;
}

.p-ai-modal__head__text-area {
  position: relative;
  z-index: 1;
}

.p-ai-modal__sublead {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 0.4rem;
  color: #364D9D;
  font-family: var(--fontJp1);
  font-size: 1.44rem;
  font-weight: 700;
  line-height: 1.6;
  letter-spacing: 0;
  background: linear-gradient(transparent 65%, #F5FF6C 65%);
  width: -moz-fit-content;
  width: fit-content;
  margin: 0 auto;
}
.p-ai-modal__sublead::before, .p-ai-modal__sublead::after {
  content: "";
  display: block;
  aspect-ratio: 43/29;
  width: 1.848rem;
  background: currentColor;
  -webkit-mask: url("../../img/icon_sparkles.svg") no-repeat center center/contain;
          mask: url("../../img/icon_sparkles.svg") no-repeat center center/contain;
}
.p-ai-modal__sublead::after {
  scale: -1 -1;
}

.p-ai-modal__lead {
  color: #364D9D;
  text-align: center;
  font-family: var(--fontJp1);
  font-size: 2rem;
  font-weight: 700;
  line-height: 1.3;
  letter-spacing: 0.04em;
  margin-top: 0.6rem;
}

.p-ai-modal__title {
  margin-top: 0.2rem;
}

.p-ai-modal__title__line {
  display: block;
  text-align: center;
  font-family: var(--fontJp1);
  font-size: 4.5rem;
  font-weight: 800;
  line-height: 1.2;
  letter-spacing: 0.04em;
  background: linear-gradient(0deg, #284195 0%, #486CE8 100%);
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.p-ai-modal__title__small {
  font-size: 3.4rem;
}

.p-ai-modal__info {
  border: 0.2rem solid #89BDFF;
  background: linear-gradient(0deg, #284195 0%, #486CE8 100%);
  position: relative;
  z-index: 1;
}
.p-ai-modal__info::before, .p-ai-modal__info::after {
  content: "";
  display: block;
  width: 18rem;
  aspect-ratio: 22/2.965;
  -webkit-mask: url("../../img/pattern-block.svg") no-repeat center center/contain;
          mask: url("../../img/pattern-block.svg") no-repeat center center/contain;
  position: absolute;
  z-index: -1;
}
.p-ai-modal__info::before {
  left: 1rem;
  top: 1rem;
  background-color: #6587FF;
}
.p-ai-modal__info::after {
  right: 1rem;
  bottom: 1rem;
  scale: -1 -1;
  background-color: #3E5ECC;
}

.p-ai-modal__info__text {
  text-align: center;
  color: #FFF;
  font-family: "M PLUS 1";
  font-size: 1.7rem;
  font-weight: 700;
  line-height: 1.4;
  letter-spacing: 0.02em;
  text-shadow: 0px 0px 1rem #1279FE, 0px 0px 1rem #1279FE, 0px 0px 1.5rem #1279FE;
}

.p-ai-modal__info__text__emphasis {
  font-size: 2.1rem;
  font-weight: 800;
  line-height: 1.4;
  text-shadow: inherit;
}

.p-ai-modal__illust02 {
  position: absolute;
  z-index: 2;
}

.p-ai-modal__info__button {
  border-radius: 0.6rem;
  background: linear-gradient(180deg, #FFF 0%, #F5FF6C 100%);
  display: flex;
  width: 24rem;
  height: 4.8rem;
  justify-content: center;
  align-items: center;
  margin: 1.2rem auto 0;
  color: #364D9D;
  font-size: 1.6rem;
  font-weight: 700;
  letter-spacing: 0.03em;
  padding-bottom: 0.1rem;
}

.p-ai-modal__close {
  background: #fff;
  display: flex;
  width: 24rem;
  height: 4.8rem;
  justify-content: center;
  align-items: center;
  margin: 2.2rem auto 0;
  color: #576082;
  font-size: 1.6rem;
  font-weight: 500;
  letter-spacing: 0.03em;
  padding-bottom: 0.1rem;
  border: 1px solid currentColor;
}

.p-ai-modal__hide-check {
  position: relative;
  width: -moz-fit-content;
  width: fit-content;
  margin: 2.2rem auto 0;
}

.p-ai-modal__hide-check__input {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0;
  cursor: pointer;
  z-index: 2;
}

.p-ai-modal__hide-check__text {
  font-size: 1.5rem;
  font-weight: 500;
  padding-left: 2.9rem;
  min-height: 1.8rem;
  display: flex;
  align-items: center;
  position: relative;
}
.p-ai-modal__hide-check__text::before {
  content: "";
  display: block;
  aspect-ratio: 1/1;
  height: 100%;
  border: 0.1rem solid #3064D3;
  background: #fff;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
  border-radius: 2px;
}
.p-ai-modal__hide-check__text::after {
  content: "";
  display: block;
  aspect-ratio: 1.7/3;
  width: 0.7rem;
  border: solid #FFFFFF;
  border-width: 0 0.2rem 0.2rem 0;
  position: absolute;
  top: 0.2rem;
  left: 0.5rem;
  z-index: 2;
  rotate: 40deg;
}
.p-ai-modal__hide-check__input:checked ~ .p-ai-modal__hide-check__text::before {
  background: #3064D3;
}
@media (max-width: 768px) {
  .p-ai-modal .c-modal__inner {
    padding-inline: 1.5rem;
  }
  .p-ai-modal__illust01 {
    width: 9.6rem;
    position: absolute;
    right: 0.6rem;
    bottom: 0;
    translate: 0 49%;
    z-index: 2;
  }
  .p-ai-modal__head__text-area::after {
    content: "";
    display: block;
    aspect-ratio: 222/177;
    width: 22.2rem;
    border-radius: 50%;
    background: #fff;
    filter: blur(1.5rem);
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    z-index: -1;
  }
  .p-ai-modal__info {
    border-right-width: 0;
    border-left-width: 0;
    margin-top: 1.2rem;
    padding-block: 2.2rem 2.2rem;
  }
  .p-ai-modal__illust02 {
    width: 6.184rem;
    left: 2.223rem;
    top: 0;
    translate: 0 -64%;
  }
}
@media (min-width: 769px) {
  .p-ai-modal .c-modal__content {
    max-width: 100%;
    width: 72rem;
    padding-block: 4rem;
    background-image: url("../../img/urawaru-modal_bg.jpg");
  }
  .p-ai-modal .c-modal__close {
    right: 0;
    translate: 0 -100%;
  }
  .p-ai-modal__head {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    align-items: center;
    gap: 1.2rem;
    margin-bottom: 2rem;
  }
  .p-ai-modal__sublead {
    font-size: 1.8rem;
  }
  .p-ai-modal__sublead::before, .p-ai-modal__sublead::after {
    width: 2.3rem;
  }
  .p-ai-modal__lead {
    margin-top: 1rem;
  }
  .p-ai-modal__title {
    margin-top: -0.4rem;
  }
  .p-ai-modal__title__line {
    display: inline-block;
  }
  .p-ai-modal__info {
    width: 50rem;
    margin-inline: auto;
    padding-block: 2.8rem 2.8rem;
  }
  .p-ai-modal__info::before, .p-ai-modal__info::after {
    width: 23rem;
  }
  .p-ai-modal__info__text {
    font-size: 1.8rem;
  }
  .p-ai-modal__info__text__emphasis {
    font-size: 2.2rem;
  }
  .p-ai-modal__illust02 {
    width: 8.6rem;
    left: 0;
    bottom: 0;
    translate: -35% 10%;
  }
  .p-ai-modal__info__button {
    margin-top: 1.4rem;
  }
}